Re: [octave-app/octave-app] Trying to install the dependencies in my mac (#197)

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [octave-app/octave-app] Trying to install the dependencies in my mac (#197)

PRUBHTEJ SINGH
Greetings
Yes, I am using the configure_octave.sh script from your  octave-build repo. But when I run the statement :". .. configure_octave.sh" I get the following warnings:

configure: WARNING: --without-fltk specified.  FLTK widgets will be disabled.

configure: WARNING: building documentation disabled; make dist will fail.

configure: 

configure: NOTE: Libraries or auxiliary programs may be skipped if they are not found

configure: NOTE: OR if they are missing required features on your system.


kindly guide me how to remove these warnings.


Hoping to hear from you soon

Regards 

Prubhtej Singh


On Thu, May 7, 2020 at 1:04 AM Andrew Janke <[hidden email]> wrote:

Since Homebrew's Bison installation doesn't override the macOS system-provided Bison (which is too old), you need to explicitly pull it in before doing the configure:

$ brew_opt="$(brew --prefix)/opt"
$ export YACC=$brew_opt/bison/bin/yacc

Are you using the configure_octave.sh script from my octave-build repo? That should take care of this for you.


You are receiving this because you authored the thread.
Reply to this email directly, view it on GitHub, or unsubscribe.

Reply | Threaded
Open this post in threaded view
|

Re: [octave-app/octave-app] Trying to install the dependencies in my mac (#197)

nrjank


Hoping to hear from you soon

Regards 

Prubhtej Singh


I don't have the answer, but the convention of these mailing lists is to trim quoted text and reply _after_ the quote.  referred to as bottom posting, it makes it easier to follow the conversation. if you use gmail's email client you have to 'click the three dots' for the quoted text to appear.